IM_ROTQUAD(3X)

NAME
im_rotquad - rotates the four quadrants of an image

SYNOPSIS
#include <vips/vips.h> int im_rotquad(in, out)
IMAGE *in, *out;

DESCRIPTION
im_rotquad rotates the four quadrants of the image held by the image descriptor in and writes the result on the image descriptor out. The function is used primarily to rotate a fourier transform in such a way that the coordinate (0,0) is near the centre of the image, the so-called optical transform. The function operates on any input; output has the same format, sizes and bands as input.

RETURN VALUE
The function returns 0 on success and -1 on error.

SEE ALSO
im_fwfft(3X), im_invfft(3X), im_scaleps(3X) im_mmapin(3X), im_openout(3X), im_setbuf(3X),

COPYRIGHT
N. Dessipris

AUTHOR
N. Dessipris - 06/07/1990